package pl.myapp.driver.sender.ws;

import pl.myapp.driver.exception.DriverCommunicationLayerException;

public interface WebServiceSender {

	/**
	 * Returns wsdl location of service
	 * 
	 * @return string containing wsdl location
	 */
	String getWsdlLocation();
	
	/**
	 * Returns targetNamespace
	 * 
	 * @return string containing target namespace
	 */
	String getTargetNamespace();
	
	/**
	 * Returns service name
	 * 
	 * @return string containing service name
	 */
	String getServiceName();
	
	/**
	 * Returns service port
	 * 
	 * @return string containing service port
	 */
	String getServicePort();
	
	/**
	 * Initializes connections to dedicated Web service
	 * 
	 * @throws DriverCommunicationLayerException on each Exception
	 */
	void initializeWebServiceClient() throws DriverCommunicationLayerException;
	
}
